Show / Hide Table of Contents

# Class Dalamud

##### Inheritance

System.Object
Dalamud

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Dalamud : IDisposable

### Constructors

| Improve this Doc View Source

#### Dalamud(DalamudStartInfo, LoggingLevelSwitch, ManualResetEvent)

##### Declaration

    public Dalamud(DalamudStartInfo info, LoggingLevelSwitch loggingLevelSwitch, ManualResetEvent finishSignal)

##### Parameters

Type | Name | Description
--- | --- | ---
DalamudStartInfo | info |
Serilog.Core.LoggingLevelSwitch | loggingLevelSwitch |
System.Threading.ManualResetEvent | finishSignal |

### Properties

| Improve this Doc View Source

#### ClientState

ClientState subsystem

##### Declaration

    public ClientState ClientState { get; }

##### Property Value

Type | Description
--- | ---
ClientState |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Start()

##### Declaration

    public void Start()

| Improve this Doc View Source

#### Unload()

##### Declaration

    public void Unload()

| Improve this Doc View Source

#### WaitForUnload()

##### Declaration

    public void WaitForUnload()

| Improve this Doc View Source

#### WaitForUnloadFinish()

##### Declaration

    public void WaitForUnloadFinish()

### Implements

System.IDisposable